Subject: bug#57649: 27.1; Spell check on remote file fails on windows.

From: Nick Longo <[email-masked]>
Date: Thu, 22 Sep 2022 21:00:04 +0000

Sorry for the slow reply, I've been swamped at work.  I'll apply it this weekend and let you know.

--Nick

-----Original Message-----
From: Eli Zaretskii <[email-masked]> 
Sent: Saturday, September 17, 2022 3:13 AM
To: Michael Albinus <[email-masked]>
Cc: [email-masked]; Nick Longo <[email-masked]>
Subject: Re: bug#57649: 27.1; Spell check on remote file fails on windows.

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 17 Sep 2022 08:39:53 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> Hi Eli,
> 
> > Ping! Ping!
> >
> > Michael, could you please respond?
> 
> I believe your patch should fix it. But since I'm not on MS Windows 
> (usually), I cannot check.

Thanks, installed on the master branch.

Nick, can you verify that this solves your problem?  The patch is below, if you need to apply it by hand.

diff --git a/lisp/textmodes/ispell.el b/lisp/textmodes/ispell.el index 4b5ed98..b3fb326 100644
--- a/lisp/textmodes/ispell.el
+++ b/lisp/textmodes/ispell.el
@@ -740,7 +740,8 @@ ispell-with-safe-default-directory
   "Execute the forms in BODY with a reasonable `default-directory'."
   (declare (indent 0) (debug t))
   `(let ((default-directory default-directory))
-     (unless (file-accessible-directory-p default-directory)
+     (unless (and (not (file-remote-p default-directory))
+                  (file-accessible-directory-p default-directory))
        (setq default-directory (expand-file-name "~/")))
      ,@body))